MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

Modules | Typedefs | Functions
VIB_COMP

## Modules
| VIB_COMP_OVERVIEW

## Typedefs
typedef struct _VIB_COMP_Obj_ * | VIB_COMP_Handle
| Defines the VIB_COMP handle. More...

## Functions
int16_t | VIB_COMP_getAdvIndexDelta (VIB_COMP_Handle handle)
_iq | VIB_COMP_getAlpha (VIB_COMP_Handle handle)
bool | VIB_COMP_getFlag_enableOutput (VIB_COMP_Handle handle)
bool | VIB_COMP_getFlag_enableUpdates (VIB_COMP_Handle handle)
int16_t | VIB_COMP_getIndex (VIB_COMP_Handle handle)
size_t | VIB_COMP_getSizeOfObject (void)
| Gets the size of the vibration compensation module in 16 bit words. More...
VIB_COMP_Handle | VIB_COMP_init (void *pMemory, const size_t numBytes)
| Initializes the vibration compensation module. More...
void | VIB_COMP_reset (VIB_COMP_Handle handle)
| Resets the vibration compensation module. More...
_iq | VIB_COMP_run (VIB_COMP_Handle handle, const _iq angle_mech_pu, const _iq Iq_in_pu)
| Runs the vibration compensation algorithm. More...
void | VIB_COMP_setAdvIndexDelta (VIB_COMP_Handle handle, const int16_t adv_index_delta)
void | VIB_COMP_setAlpha (VIB_COMP_Handle handle, const _iq alpha)
void | VIB_COMP_setFlag_enableOutput (VIB_COMP_Handle handle, const bool state)
void | VIB_COMP_setFlag_enableUpdates (VIB_COMP_Handle handle, const bool state)
void | VIB_COMP_setIndex (VIB_COMP_Handle handle, const int16_t index)
void | VIB_COMP_setParams (VIB_COMP_Handle handle, const _iq alpha, const int16_t adv_index_delta)

## Detailed Description

## Typedef Documentation

typedef struct _VIB_COMP_Obj_* VIB_COMP_Handle

Defines the VIB_COMP handle.

Definition at line 64 of file vib_comp.h.

## Function Documentation

int16_t VIB_COMP_getAdvIndexDelta | ( | VIB_COMP_Handle | handle | ) |

_iq VIB_COMP_getAlpha | ( | VIB_COMP_Handle | handle | ) |

bool VIB_COMP_getFlag_enableOutput | ( | VIB_COMP_Handle | handle | ) |

bool VIB_COMP_getFlag_enableUpdates | ( | VIB_COMP_Handle | handle | ) |

int16_t VIB_COMP_getIndex | ( | VIB_COMP_Handle | handle | ) |

size_t VIB_COMP_getSizeOfObject | ( | void |  | ) |

Gets the size of the vibration compensation module in 16 bit words.

Returns
  The size of the VIB_COMP object, in 16 bit words

VIB_COMP_Handle VIB_COMP_init | ( | void * | pMemory,
|  | const size_t | numBytes
| ) |  |

Initializes the vibration compensation module.

Parameters

  [in] | pMemory | A pointer to the vibration compensation object memory
  [in] | numBytes | The number of bytes allocated for the vibration compensation object, bytes

Returns
  The vibration compensation (VIB_COMP) object handle

void VIB_COMP_reset | ( | VIB_COMP_Handle | handle | ) |

Resets the vibration compensation module.

Parameters

  [in] | handle | The vibration compensation handle

_iq VIB_COMP_run | ( | VIB_COMP_Handle | handle,
|  | const _iq | angle_mech_pu,
|  | const _iq | Iq_in_pu
| ) |  |

Runs the vibration compensation algorithm.

Parameters

  [in] | handle | The vibration compensation handle
  [in] | angle_mech_pu | The mechanical angle in per units from _IQ(0.0) to _IQ(1.0)
  [in] | Iq_in_pu | The measured Iq in per units

Returns
  The value to be used as a feed forward term in the speed controller

void VIB_COMP_setAdvIndexDelta | ( | VIB_COMP_Handle | handle,
|  | const int16_t | adv_index_delta
| ) |  |

void VIB_COMP_setAlpha | ( | VIB_COMP_Handle | handle,
|  | const _iq | alpha
| ) |  |

void VIB_COMP_setFlag_enableOutput | ( | VIB_COMP_Handle | handle,
|  | const bool | state
| ) |  |

void VIB_COMP_setFlag_enableUpdates | ( | VIB_COMP_Handle | handle,
|  | const bool | state
| ) |  |

void VIB_COMP_setIndex | ( | VIB_COMP_Handle | handle,
|  | const int16_t | index
| ) |  |

void VIB_COMP_setParams | ( | VIB_COMP_Handle | handle,
|  | const _iq | alpha,
|  | const int16_t | adv_index_delta
| ) |  |